## kodi-pvr-pctv 6.1.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.pctv)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(${JSONCPP_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(DEPLIBS ${JSONCPP_LIBRARIES})

set(PCTV_SOURCES src/addon.cpp
                 src/md5.cpp
                 src/PctvData.cpp
                 src/rest.cpp)

set(PCTV_HEADERS src/addon.h
                 src/md5.h
                 src/PctvData.h
                 src/rest.h)

# To prevent build exit on deprecated warnings (from JsonCpp)
if(WIN32)
  add_compile_options(/wd4996)
endif()

build_addon(pvr.pctv PCTV DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-pctv (6.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 6.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:02 +0000

kodi-pvr-pctv (6.0.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 14:30:05 +0000

=== debian/control ===
Source: kodi-pvr-pctv
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libjsoncpp-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv.git
Homepage: https://kodi.tv

Package: kodi-pvr-pctv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: PCTV PVR client addon for Kodi
 This package contains the PCTV PVR (Personal Video Recorder) addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.pctv/releases \
/kodi-pvr/pvr.pctv/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-pctv 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-pctv (19.0.0+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:44 +0000

kodi-pvr-pctv (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:06 +0000

kodi-pvr-pctv (6.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 6.1.1+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:32:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-pvr-pctv
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon,
                cmake,
                kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.pctv/releases \
/kodi-pvr/pvr.pctv/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-pctv 19.0.1+ds1

=== debian/changelog ===
kodi-pvr-pctv (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:34 +0000

kodi-pvr-pctv (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-pvr-pctv
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-pvr-pctv 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-pctv (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:37 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.pctv/releases \
/kodi-pvr/pvr.pctv/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-pctv 20.4.0%2Bds1

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.pctv \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-pctv 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-pctv (20.4.0+ds1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:52:15 +0200

kodi-pvr-pctv (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-pvr-pctv
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libjsoncpp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv.git

## kodi-pvr-pctv 21.0.1+ds

=== debian/changelog ===
kodi-pvr-pctv (21.0.1+ds-2build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 11:58:56 +0000

kodi-pvr-pctv (21.0.1+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:05 +0000

kodi-pvr-pctv (21.0.1+ds-1) unstable; urgency=medium

  * New upstream version 21.0.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:37 +0000

kodi-pvr-pctv (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.3.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:25 +0000

## kodi-pvr-pctv 21.0.2+ds

=== debian/changelog ===
kodi-pvr-pctv (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:14 +0000

=== debian/control ===
Source: kodi-pvr-pctv
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
               cmake,
               libjsoncpp-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-pctv.git -b debian/sid
Homepage: https://kodi.tv

Package: kodi-pvr-pctv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: PCTV PVR client addon for Kodi
 This package contains the PCTV PVR (Personal Video Recorder) addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.pctv \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
